>From 081eb1eea1d44c0479ee6e0426c1ec41e0bb6e1c Mon Sep 17 00:00:00 2001
From: Ben Hutchings <ben@decadent.org.uk>
Date: Thu, 24 Dec 2015 21:32:42 +0000
Subject: [PATCH] Add 686 kernels to replace 586 for i386 CDs

---
 Makefile                 | 3 +++
 debian/changelog         | 3 +++
 tools/generate_di+k_list | 4 ++++
 3 files changed, 10 insertions(+)

diff --git a/Makefile b/Makefile
index dff79bf..446a3e4 100755
--- a/Makefile
+++ b/Makefile
@@ -375,6 +375,9 @@ $(BDIR)/rawlist:
 	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
 	fi; \
+	if [ "$(EXCLUDE_686_KERNEL)"x = "1"x ] ; then \
+		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_686_KERNEL"; \
+	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
diff --git a/debian/changelog b/debian/changelog
index 8af16ef..a2fcd58 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -40,6 +40,9 @@ debian-cd (3.1.18) UNRELEASED; urgency=medium
   * Drop the remaining s390 bits from stretch and jessie. (s390x remains.)
   * Drop the d390oco loader from stretch and jessie.
 
+  [ Ben Hutchings ]
+  * Add 686 kernels to replace 586 for i386 CDs
+
  -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100
 
 debian-cd (3.1.17) unstable; urgency=medium
diff --git a/tools/generate_di+k_list b/tools/generate_di+k_list
index 3f4a248..25517e1 100755
--- a/tools/generate_di+k_list
+++ b/tools/generate_di+k_list
@@ -132,6 +132,10 @@ linux-headers-486
 linux-image-586
 linux-headers-586
 #endif
+#ifndef ARCH_i386_EXCLUDE_686_KERNEL
+linux-image-686
+linux-headers-686
+#endif
 
 #endif
 
